Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class BalanceBaseType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `ChargeType`, `PaymentType`

    public class BalanceBaseType
    extends IdTitle

Родительский класс для PaymentType и ChargeType(как минимум), в котором фактически и реализуется все.
Изначально cоздан лишь для того, чтобы ChargeType не наследовался от PaymentType.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected boolean` | `editable` |
  `protected java.lang.Integer` | `parentId` |
  `protected int` | `type` |
  `static int` | `TYPE_ALL` |
  `static int` | `TYPE_BRANCH` |
  `static int` | `TYPE_EDITABLE` |
  `static int` | `TYPE_LEAF` |
  `static int` | `TYPE_UNEDITABLE` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BalanceBaseType()` |
  `BalanceBaseType​(int id, java.lang.String title, int type, boolean editable, java.lang.Integer parentId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `getEditable()` | true - редактируется, false - не редактируется.
  `java.lang.Integer` | `getParentId()` |
  `int` | `getType()` | Получение типа элемента в дереве.
  `void` | `setEditable​(boolean editable)` |
  `void` | `setParentId​(java.lang.Integer parentId)` | Ссылка на родительский узел в иерархии типов.
  `void` | `setType​(int type)` | Установка типа элемента в дереве.

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### TYPE_LEAF

    public static final int TYPE_LEAF
    See Also:
      Constant Field Values

  - ### TYPE_BRANCH

    public static final int TYPE_BRANCH
    See Also:
      Constant Field Values

  - ### TYPE_ALL

    public static final int TYPE_ALL
    See Also:
      Constant Field Values

  - ### TYPE_EDITABLE

    public static final int TYPE_EDITABLE
    See Also:
      Constant Field Values

  - ### TYPE_UNEDITABLE

    public static final int TYPE_UNEDITABLE
    See Also:
      Constant Field Values

  - ### type

    protected int type

  - ### editable

    protected boolean editable

  - ### parentId

    protected java.lang.Integer parentId

- ## Constructor Details

  - ### BalanceBaseType

    public BalanceBaseType()

  - ### BalanceBaseType

    public BalanceBaseType​(int id, java.lang.String title, int type, boolean editable, java.lang.Integer parentId)

- ## Method Details

  - ### getType

    public int getType()
    Получение типа элемента в дереве.
    Returns:
      0 - элемент группы( `TYPE_LEAF` ), 1 - группа( `TYPE_BRANCH` ).

  - ### getEditable

    public boolean getEditable()
    true - редактируется, false - не редактируется.

  - ### getParentId

    public java.lang.Integer getParentId()

  - ### setType

    public void setType​(int type)
    Установка типа элемента в дереве.
    Parameters:
      `type` - 0 - элемент группы( `TYPE_LEAF` ), 1 - группа( `TYPE_BRANCH` ).

  - ### setEditable

    public void setEditable​(boolean editable)

  - ### setParentId

    public void setParentId​(java.lang.Integer parentId)
    Ссылка на родительский узел в иерархии типов. Если тип объекта находится на самом верхнем уровне, то передавать 0! При отрицательном значении будет падать в веб-сервисе!!!
    Parameters:
      `parentId` - код родительского типа